diff -Naur Doomsday Data Files.old/db/ministers/ministers_hun.csv Doomsday Data Files/db/ministers/ministers_hun.csv
--- Doomsday Data Files.old/db/ministers/ministers_hun.csv	2008-01-20 10:40:42.000000000 +0100
+++ Doomsday Data Files/db/ministers/ministers_hun.csv	2008-01-20 10:49:03.000000000 +0100
@@ -1,149 +1,149 @@
 HUN;Ruling Cabinet - Start;Name;Pool;Ideology;Personality;Loyalty;Picturename;x
 ;Replacements;;;;;;;x
-21001;Head of State;Miklós Horthy de Nagybánya;36;FA;Resigned Generalissimo;High;M21001;x
-21002;Head of Government;Gyula Gömbös de Jakfa;36;FA;Flamboyant Tough Guy;High;M21002;x
-21003;Foreign Minister;Kálmán Kánya;36;FA;Great Compromiser;Medium;M21003;x
-21004;Minister of Armament;Tihamér Fabinyi;36;FA;Military Entrepreneur;Medium;M21004;x
-21005;Minister of Security;Miklós Kozma;36;FA;Prince of Terror;Medium;M21005;x
-21006;Head of Military Intelligence;Gyula Gömbös de Jakfa;36;FA;Political Specialist;High;M21002;x
-21007;Chief of Staff;Gustáv Henneyey;36;FA;School of Mass Combat;High;M21007;x
-21008;Chief of Army;István Shvoy;36;FA;Decisive Battle Doctrine;Medium;M21008;x
-21009;Chief of Navy;Miklós Horthy de Nagybánya;36;FA;Decisive Naval Battle Doctrine;Medium;M21001;x
-21010;Chief of Air Force;László Tomor;36;FA;Air Superiority Doctrine;Medium;M21010;x
-21041;Head of State;Ferenc Szálasi;44;NS;Powerhungry Demagogue;High;M21021;x
-21042;Head of State;Miklós Horthy de Nagybánya;44;NS;Resigned Generalissimo;High;M21001;x
-21044;Head of State;Otto I Habsburg;45;PA;Benevolent Gentleman;High;M21044;x
-21045;Head of State;Károly Peyer;45;SD;Insignificant Layman;High;M21045;x
-21046;Head of State;Zoltán Tildy;45;SC;Autocratic Charmer;High;M21011;x
-21047;Head of State;Zoltán Tildy;47;ST;Autocratic Charmer;High;M21011;x
-21048;Head of State;Béla Zsedényi;36;ST;Stern Imperialist;High;M21031;x
-21049;Head of State;Lászó Rajk;39;ST;Autocratic Charmer;High;M21035;x
-21050;Head of State;Mátyás Rákosi;44;ST;Powerhungry Demagogue;High;M21032;x
+21001;Head of State;Horthy Miklós;36;FA;Resigned Generalissimo;High;M21001;x
+21002;Head of Government;Gömbös Gyula;36;FA;Flamboyant Tough Guy;High;M21002;x
+21003;Foreign Minister;Kánya Kálmán;36;FA;Great Compromiser;Medium;M21003;x
+21004;Minister of Armament;Fabinyi Tihamér;36;FA;Military Entrepreneur;Medium;M21004;x
+21005;Minister of Security;Kozma Miklós;36;FA;Prince of Terror;Medium;M21005;x
+21006;Head of Military Intelligence;Gömbös Gyula;36;FA;Political Specialist;High;M21002;x
+21007;Chief of Staff;Hennyey Gusztáv;36;FA;School of Mass Combat;High;M21007;x
+21008;Chief of Army;Shvoy István;36;FA;Decisive Battle Doctrine;Medium;M21008;x
+21009;Chief of Navy;Horthy Miklós;36;FA;Decisive Naval Battle Doctrine;Medium;M21001;x
+21010;Chief of Air Force;Tomor László;36;FA;Air Superiority Doctrine;Medium;M21010;x
+21041;Head of State;Szálasi Ferenc;44;NS;Powerhungry Demagogue;High;M21021;x
+21042;Head of State;Horthy Miklós;44;NS;Resigned Generalissimo;High;M21001;x
+21044;Head of State;Habsburg Ottó I;45;PA;Benevolent Gentleman;High;M21044;x
+21045;Head of State;Peyer Károly;45;SD;Insignificant Layman;High;M21045;x
+21046;Head of State;Tildy Zoltán;45;SC;Autocratic Charmer;High;M21011;x
+21047;Head of State;Tildy Zoltán;47;ST;Autocratic Charmer;High;M21011;x
+21048;Head of State;Zsedényi Béla;36;ST;Stern Imperialist;High;M21031;x
+21049;Head of State;Rajk Lászó;39;ST;Autocratic Charmer;High;M21035;x
+21050;Head of State;Rákosi Mátyás;44;ST;Powerhungry Demagogue;High;M21032;x
 21051;Head of Government;Döme Sztójay;39;NS;Happy Amateur;High;M21051;x
-21052;Head of Government;Jenö Rácz;44;NS;Political Protege;High;M21022;x
-21053;Head of Government;K. Darányi de Pusztaszentgyörgyi;36;FA;Smiling Oilman;High;M21053;x
-21054;Head of Government;Béla Imrédy de Omoravia;38;FA;Corporate Suit;High;M21024;x
-21055;Head of Government;Pál Teleki de Szek;39;FA;Naive Optimist;High;M21055;x
-21056;Head of Government;László Bárdossy;41;FA;Silent Workhorse;High;M21056;x
-21057;Head of Government;M. Kállay de Nagy-Kalló;42;FA;Happy Amateur;High;M21057;x
-21058;Head of Government;Géza Lakatos;44;FA;Old General;High;M21058;x
-21059;Head of Government;Béla Miklós de Dalnók;44;PA;Corporate Suit;High;M21059;x
-21060;Head of Government;Karoly Barthá von Dálnokfalva;45;PA;Old General;High;M21060;x
-21061;Head of Government;Arpád Szakasits;45;SD;Happy Amateur;High;M21061;x
-21062;Head of Government;Zoltán Tildy;36;SC;Silent Workhorse;High;M21011;x
+21052;Head of Government;Rácz Jenö;44;NS;Political Protege;High;M21022;x
+21053;Head of Government;Darányi Kálmán;36;FA;Smiling Oilman;High;M21053;x
+21054;Head of Government;Imrédy Béla;38;FA;Corporate Suit;High;M21024;x
+21055;Head of Government;Teleki Pál;39;FA;Naive Optimist;High;M21055;x
+21056;Head of Government;Bárdossy László;41;FA;Silent Workhorse;High;M21056;x
+21057;Head of Government;Kállay Miklós;42;FA;Happy Amateur;High;M21057;x
+21058;Head of Government;Lakatos Géza;44;FA;Old General;High;M21058;x
+21059;Head of Government;Miklós Béla;44;PA;Corporate Suit;High;M21059;x
+21060;Head of Government;Bartha Károly;45;PA;Old General;High;M21060;x
+21061;Head of Government;Szakasits Arpád;45;SD;Happy Amateur;High;M21061;x
+21062;Head of Government;Tildy Zoltán;36;SC;Silent Workhorse;High;M21011;x
 21063;Head of Government;Ferenc Nagy;46;SC;Happy Amateur;High;M21012;x
-21064;Head of Government;László Rajk;36;ST;Flamboyant Tough Guy;High;M21035;x
-21065;Head of Government;Mátyas Rákosi;44;ST;Backroom Backstabber;High;M21032;x
-21066;Foreign Minister;Döme Sztójay;44;NS;Ideological Crusader;Medium;M21051;x
-21067;Foreign Minister;Gábor Kemény;44;NS;Great Compromiser;Medium;M21067;x
-21069;Foreign Minister;Béla Imrédy de Omoravia;38;FA;Ideological Crusader;Medium;M21024;x
-21070;Foreign Minister;István Csáky;39;FA;The Cloak N Dagger Schemer;Medium;M21070;x
-21071;Foreign Minister;László Bárdossy;41;FA;Iron Fisted Brute;Medium;M21056;x
-21072;Foreign Minister;Gustáv Henneyey;44;FA;General Staffer;High;M21007;x
-21073;Foreign Minister;Edgar Keksz;44;PA;Iron Fisted Brute;Medium;M21073;x
-21074;Foreign Minister;Endre Bajcsy-Zsilinszky;45;PA;General Staffer;Medium;M21074;x
-21075;Foreign Minister;Arpád Szakasits;45;SD;Biased Intellectual;High;M21061;x
-21076;Foreign Minister;Francois Deak;36;SC;Apologetic Clerk;Medium;M21076;x
-21077;Foreign Minister;Ferenc Nagy;39;SC;Great Compromiser;High;M21012;x
-21078;Foreign Minister;János Gyöngyösi;44;SC;Great Compromiser;Medium;M21013;x
-21079;Foreign Minister;Erik Molnár;36;ST;Ideological Crusader;Medium;M21079;x
-21080;Foreign Minister;Matta Zalka;44;ST;General Staffer;Medium;M21037;x
-21081;Foreign Minister;László Rajk;47;ST;Iron Fisted Brute;Medium;M21035;x
-21082;Minister of Armament;Jenö Rácz;39;NS;Laissez Faires Capitalist;Medium;M21022;x
-21083;Minister of Armament;Bela Imrédy de Omoravia;36;FA;Infantry Proponent;Medium;M21024;x
-21084;Minister of Armament;Lajos Reményi-Schneller;38;FA;Administrative Genius;Medium;M21084;x
-21085;Minister of Armament;Laszlo Endre;44;FA;Strategic Air Proponent;Medium;M21085;x
-21086;Minister of Armament;Imre Oltványi;44;PA;Administrative Genius;Medium;M21086;x
-21087;Minister of Armament;Edgar Keksz;45;PA;Corrupt Kleptocrat;Medium;M21073;x
+21064;Head of Government;Rajk Lászó;36;ST;Flamboyant Tough Guy;High;M21035;x
+21065;Head of Government;Rákosi Mátyás;44;ST;Backroom Backstabber;High;M21032;x
+21066;Foreign Minister;Sztójay Döme;44;NS;Ideological Crusader;Medium;M21051;x
+21067;Foreign Minister;Kemény Gábor;44;NS;Great Compromiser;Medium;M21067;x
+21069;Foreign Minister;Imrédy Béla;38;FA;Ideological Crusader;Medium;M21024;x
+21070;Foreign Minister;Csáky István;39;FA;The Cloak N Dagger Schemer;Medium;M21070;x
+21071;Foreign Minister;Bárdossy László;41;FA;Iron Fisted Brute;Medium;M21056;x
+21072;Foreign Minister;Hennyey Gusztá;44;FA;General Staffer;High;M21007;x
+21073;Foreign Minister;Keksz Edgár;44;PA;Iron Fisted Brute;Medium;M21073;x
+21074;Foreign Minister;Bajcsy-Zsilinszky Endre;45;PA;General Staffer;Medium;M21074;x
+21075;Foreign Minister;Szakasits Arpád;45;SD;Biased Intellectual;High;M21061;x
+21076;Foreign Minister;Deák Ferenc;36;SC;Apologetic Clerk;Medium;M21076;x
+21077;Foreign Minister;Nagy Ferenc;39;SC;Great Compromiser;High;M21012;x
+21078;Foreign Minister;Gyöngyösi János;44;SC;Great Compromiser;Medium;M21013;x
+21079;Foreign Minister;Molnár Erik;36;ST;Ideological Crusader;Medium;M21079;x
+21080;Foreign Minister;Zalka Máté;44;ST;General Staffer;Medium;M21037;x
+21081;Foreign Minister;Rajk Lászó;47;ST;Iron Fisted Brute;Medium;M21035;x
+21082;Minister of Armament;Rácz Jenö;39;NS;Laissez Faires Capitalist;Medium;M21022;x
+21083;Minister of Armament;Imrédy Béla;36;FA;Infantry Proponent;Medium;M21024;x
+21084;Minister of Armament;Reményi-Schneller Lajos;38;FA;Administrative Genius;Medium;M21084;x
+21085;Minister of Armament;Endre László;44;FA;Strategic Air Proponent;Medium;M21085;x
+21086;Minister of Armament;Oltványi Imre;44;PA;Administrative Genius;Medium;M21086;x
+21087;Minister of Armament;Keksz Edgár;45;PA;Corrupt Kleptocrat;Medium;M21073;x
 21088;Minister of Armament;Etienne de Winchkler;46;PA;Resource Industrialist;Medium;M21088;x
-21089;Minister of Armament;Reszö Kastner;45;SD;Administrative Genius;Medium;M21089;x
-21090;Minister of Armament;Albert Apponyi;36;SC;Strategic Air Proponent;Medium;M21090;x
-21091;Minister of Armament;Miklos Olgyay;39;SC;Resource Industrialist;Medium;M21014;x
-21092;Minister of Armament;Béla Zsedényi;36;ST;Infantry Proponent;High;M21031;x
-21093;Minister of Armament;Ernö Gerö;39;ST;Resource Industrialist;Medium;M21093;x
-21094;Minister of Armament;Zoltán Vas;46;ST;Military Entrepreneur;Medium;M21034;x
-21095;Minister of Security;Andor Jaross;39;NS;Prince of Terror;Medium;M21025;x
-21096;Minister of Security;Gábor Vajna;44;NS;Man of the People;Medium;M21096;x
-21098;Minister of Security;K. Darányi de Pusztaszentgyörgyi;38;FA;Back Stabber;Medium;M21053;x
-21099;Minister of Security;Pál Teleki de Szek;39;FA;Compassionate Gentleman;Low;M21055;x
-21100;Minister of Security;Ferenc Keresztes-Fischer;41;FA;Silent Lawyer;High;M21100;x
-21102;Minister of Security;M. Kállay de Nagy-Kalló;42;FA;Man of the People;Medium;M21057;x
+21089;Minister of Armament;Kastner Rezsö;45;SD;Administrative Genius;Medium;M21089;x
+21090;Minister of Armament;Apponyi Albert;36;SC;Strategic Air Proponent;Medium;M21090;x
+21091;Minister of Armament;Olgyay Miklós;39;SC;Resource Industrialist;Medium;M21014;x
+21092;Minister of Armament;Zsedényi Béla;36;ST;Infantry Proponent;High;M21031;x
+21093;Minister of Armament;Gerö Ernö;39;ST;Resource Industrialist;Medium;M21093;x
+21094;Minister of Armament;Vas Zoltán;46;ST;Military Entrepreneur;Medium;M21034;x
+21095;Minister of Security;Jaross Andor;39;NS;Prince of Terror;Medium;M21025;x
+21096;Minister of Security;Vajna Gábor;44;NS;Man of the People;Medium;M21096;x
+21098;Minister of Security;Darányi Kálmán;38;FA;Back Stabber;Medium;M21053;x
+21099;Minister of Security;Teleki Pál;39;FA;Compassionate Gentleman;Low;M21055;x
+21100;Minister of Security;Keresztes-Fischer Ferenc;41;FA;Silent Lawyer;High;M21100;x
+21102;Minister of Security;Kállay Miklós;42;FA;Man of the People;Medium;M21057;x
 21103;Minister of Security;Kalmán Szell;44;FA;Crime Fighter;Medium;M21103;x
-21104;Minister of Security;Edgar Keksz;44;PA;Crooked Kleptocrat;Medium;M21073;x
-21105;Minister of Security;Laszlo Baky;45;PA;Crime Fighter;Medium;M21105;x
-21107;Minister of Security;Jozsef Revay;45;SD;Crime Fighter;Medium;M21107;x
-21108;Minister of Security;József Széll;36;SC;Efficient Sociopath;Medium;M21108;x
-21109;Minister of Security;Miklós Bonczos;44;SC;Silent Lawyer;Medium;M21109;x
-21110;Minister of Security;Mihaly Farkas;36;ST;Prince of Terror;Medium;M21110;x
-21111;Minister of Security;László Rajk;39;ST;Crime Fighter;Medium;M21035;x
-21112;Minister of Security;Mátyás Rákosi;44;ST;Crooked Kleptocrat;Very High;M21032;x
-21113;Minister of Security;Imre Nagy;45;ST;Back Stabber;Medium;M21113;x
-21114;Minister of Security;Ferenc Erdei;47;ST;Compassionate Gentleman;Medium;M21114;x
-21115;Head of Military Intelligence;Ferenc Rajniss;44;NS;Dismal Enigma;Medium;M21115;x
-21116;Head of Military Intelligence;Andor Jaross;44;NS;Political Specialist;Medium;M21025;x
-21117;Head of Military Intelligence;Rezsö Andorka;36;FA;Technical Specialist;Medium;M21117;x
-21118;Head of Military Intelligence;Mihaly Ujvári;39;FA;Logistics Specialist;High;M21118;x
-21119;Head of Military Intelligence;András Zákó;41;FA;Political Specialist;Medium;M21119;x
+21104;Minister of Security;Keksz Edgár;44;PA;Crooked Kleptocrat;Medium;M21073;x
+21105;Minister of Security;Baky László;45;PA;Crime Fighter;Medium;M21105;x
+21107;Minister of Security;Révay József;45;SD;Crime Fighter;Medium;M21107;x
+21108;Minister of Security;Széll József;36;SC;Efficient Sociopath;Medium;M21108;x
+21109;Minister of Security;Bonczos Miklós;44;SC;Silent Lawyer;Medium;M21109;x
+21110;Minister of Security;Farkas Mihály;36;ST;Prince of Terror;Medium;M21110;x
+21111;Minister of Security;Rajk Lászó;39;ST;Crime Fighter;Medium;M21035;x
+21112;Minister of Security;Rákosi Mátyás;44;ST;Crooked Kleptocrat;Very High;M21032;x
+21113;Minister of Security;Nagy Imre;45;ST;Back Stabber;Medium;M21113;x
+21114;Minister of Security;Erdei Ferenc;47;ST;Compassionate Gentleman;Medium;M21114;x
+21115;Head of Military Intelligence;Rajniss Ferenc;44;NS;Dismal Enigma;Medium;M21115;x
+21116;Head of Military Intelligence;Jaross Andor;44;NS;Political Specialist;Medium;M21025;x
+21117;Head of Military Intelligence;Andorka Rezsö;36;FA;Technical Specialist;Medium;M21117;x
+21118;Head of Military Intelligence;Újvári Mihály;39;FA;Logistics Specialist;High;M21118;x
+21119;Head of Military Intelligence;Zákó András;41;FA;Political Specialist;Medium;M21119;x
 21120;Head of Military Intelligence;Kádár Gyula;43;FA;Dismal Enigma;Medium;M21120;x
-21121;Head of Military Intelligence;Edgar Keksz;44;PA;Naval Intelligence Specialist;Medium;M21073;x
-21122;Head of Military Intelligence;Ferenc Keresztes-Fischer;45;PA;Industrial Specialist;Medium;M21100;x
-21123;Head of Military Intelligence;Károly Peyer;45;SD;Industrial Specialist;Low;M21045;x
-21124;Head of Military Intelligence;Zoltán Tildy;36;SC;Dismal Enigma;Medium;M21011;x
-21125;Head of Military Intelligence;József Széll;44;SC;Political Specialist;Medium;M21108;x
-21126;Head of Military Intelligence;Ernö Gerö;36;ST;Logistics Specialist;Medium;M21093;x
-21127;Head of Military Intelligence;László Rajk;46;ST;Political Specialist;Medium;M21035;x
-21128;Chief of Staff;Lajos Csatay von Csatai;39;NS;School of Manoeuvre;Medium;M21128;x
-21129;Chief of Staff;Károlyi Beregffy;44;NS;School of Manoeuvre;Medium;M21129;x
-21131;Chief of Staff;Karoly Barthá von Dálnokfalva;38;FA;School of Psychology;Medium;M21060;x
-21132;Chief of Staff;Vilmos Nagy;42;FA;School of Defence;Medium;M21132;x
-21133;Chief of Staff;Sandór Szurmay;44;FA;School of Fire Support;Medium;M21133;x
-21135;Chief of Staff;Vilmos Röder;45;PA;School of Fire Support;Medium;M21135;x
-21137;Chief of Staff;János Vörös;36;SC;School of Manoeuvre;Medium;M21017;x
-21138;Chief of Staff;Matta Zalka;36;ST;School of Psychology;Medium;M21037;x
-21139;Chief of Army;Lajos Csatay von Csatai;44;NS;Armoured Spearhead Doctrine;Medium;M21128;x
-21140;Chief of Army;Károlyi Beregffy;44;NS;Guns and Butter Doctrine;Medium;M21129;x
-21142;Chief of Army;Henrik Werth;38;FA;Static Defence Doctrine;Medium;M21142;x
-21143;Chief of Army;Edgar Keksz;42;FA;Guns and Butter Doctrine;Medium;M21073;x
-21144;Chief of Army;Géza Lakatos;44;FA;Elastic Defence Doctrine;Low;M21058;x
-21145;Chief of Army;Béla Miklós de Dalnók;44;PA;Static Defence Doctrine;NA;M21059;x
-21146;Chief of Army;Hugó Sónyi;45;PA;Decisive Battle Doctrine;Medium;M21146;x
-21147;Chief of Army;Gabor Sziszkalatay;45;SD;Guns and Butter Doctrine;Medium;M21136;x
-21148;Chief of Army;Ferenc Szombathelyi;36;SC;Static Defence Doctrine;High;M21148;x
-21149;Chief of Army;János Vörös;44;SC;Elastic Defence Doctrine;Medium;M21017;x
+21121;Head of Military Intelligence;Keksz Edgár;44;PA;Naval Intelligence Specialist;Medium;M21073;x
+21122;Head of Military Intelligence;Keresztes-Fischer Ferencr;45;PA;Industrial Specialist;Medium;M21100;x
+21123;Head of Military Intelligence;Peyer Károly;45;SD;Industrial Specialist;Low;M21045;x
+21124;Head of Military Intelligence;Tildy Zoltán;36;SC;Dismal Enigma;Medium;M21011;x
+21125;Head of Military Intelligence;Széll József;44;SC;Political Specialist;Medium;M21108;x
+21126;Head of Military Intelligence;Gerö Ernö;36;ST;Logistics Specialist;Medium;M21093;x
+21127;Head of Military Intelligence;Rajk Lászó;46;ST;Political Specialist;Medium;M21035;x
+21128;Chief of Staff;Csatay Lajos;39;NS;School of Manoeuvre;Medium;M21128;x
+21129;Chief of Staff;Beregfy Károly;44;NS;School of Manoeuvre;Medium;M21129;x
+21131;Chief of Staff;Bartha Károly;38;FA;School of Psychology;Medium;M21060;x
+21132;Chief of Staff;Nagy Vilmos;42;FA;School of Defence;Medium;M21132;x
+21133;Chief of Staff;Szurmay Sándor;44;FA;School of Fire Support;Medium;M21133;x
+21135;Chief of Staff;Röder Vilmos;45;PA;School of Fire Support;Medium;M21135;x
+21137;Chief of Staff;Vörös János;36;SC;School of Manoeuvre;Medium;M21017;x
+21138;Chief of Staff;Zalka Máté;36;ST;School of Psychology;Medium;M21037;x
+21139;Chief of Army;Csatay Lajos;44;NS;Armoured Spearhead Doctrine;Medium;M21128;x
+21140;Chief of Army;Beregfy Károly;44;NS;Guns and Butter Doctrine;Medium;M21129;x
+21142;Chief of Army;Werth Henrik;38;FA;Static Defence Doctrine;Medium;M21142;x
+21143;Chief of Army;Keksz Edgár;42;FA;Guns and Butter Doctrine;Medium;M21073;x
+21144;Chief of Army;Lakatos Géza;44;FA;Elastic Defence Doctrine;Low;M21058;x
+21145;Chief of Army;Miklós Béla;44;PA;Static Defence Doctrine;NA;M21059;x
+21146;Chief of Army;Sónyi Hugó;45;PA;Decisive Battle Doctrine;Medium;M21146;x
+21147;Chief of Army;Sziszkalatay Gábor;45;SD;Guns and Butter Doctrine;Medium;M21136;x
+21148;Chief of Army;Szombathelyi Ferenc;36;SC;Static Defence Doctrine;High;M21148;x
+21149;Chief of Army;Vörös János;44;SC;Elastic Defence Doctrine;Medium;M21017;x
 21150;Chief of Army;Nikolaj Berzin;36;ST;Decisive Battle Doctrine;Medium;M21038;x
-21151;Chief of Navy;Sandor Csia;39;NS;Base Control Doctrine;Medium;M21151;x
-21153;Chief of Navy;Edgar Keksz;44;PA;Base Control Doctrine;Medium;M21073;x
-21154;Chief of Navy;Otto I Habsburg;45;PA;Indirect Approach Doctrine;High;M21044;x
-21155;Chief of Navy;Reszö Kastner;45;SD;Base Control Doctrine;High;M21089;x
-21156;Chief of Navy;Francois Deak;36;SC;Power Projection Doctrine;High;M21076;x
-21157;Chief of Navy;Kálmán Hardy;36;ST;Decisive Naval Battle Doctrine;Medium;M21039;x
-21158;Chief of Air Force;Sandor Maguarosy;39;NS;Army Aviation Doctrine;Medium;M21030;x
-21159;Chief of Air Force;Ferenc Szálasi;44;NS;Naval Aviation Doctrine;Medium;M21021;x
-21161;Chief of Air Force;Ferenc Feketehalmy-Czeydner;38;FA;Army Aviation Doctrine;Medium;M21161;x
-21162;Chief of Air Force;Györghyi De Brody;41;FA;Vertical Envelopment Doctrine;Medium;M21040;x
-21163;Chief of Air Force;Kálmán Ternegg-Ratz;44;PA;Army Aviation Doctrine;Medium;M21163;x
-21164;Chief of Air Force;Ferenc Keresztes-Fischer;46;PA;Air Superiority Doctrine;High;M21100;x
-21165;Chief of Air Force;Edgar Keksz;45;SD;Air Superiority Doctrine;Medium;M21073;x
-21166;Chief of Air Force;Béla Rákosi;36;SC;Vertical Envelopment Doctrine;Medium;M21020;x
-21167;Chief of Air Force;Györghyi De Brody;36;ST;Air Superiority Doctrine;Medium;M21040;x
-21168;Head of State;Miklós Horthy de Nagybánya;36;SC;Resigned Generalissimo;High;M21001;x
-21169;Foreign Minister;Ferenc Szálasi;39;NS;Iron Fisted Brute;Medium;M21021;x
-21170;Head of Military Intelligence;Sandor Csia;39;NS;Industrial Specialist;Medium;M21151;x
-21171;Chief of Army;Ferenc Feketehalmy-Czeydner;39;NS;Elastic Defence Doctrine;Medium;M21161;x
-21172;Head of State;Géza Lakatos;44;PA;Resigned Generalissimo;High;M21058;x
-21174;Chief of Staff;Gabor Sziszkalatay;47;ST;School of Psychology;Medium;M21136;x
-21175;Head of Government;Ferenc Keresztes-Fischer;42;FA;Happy Amateur;High;M21100;x
-21176;Foreign Minister;Pál Teleki de Szek;41;FA;Great Compromiser;High;M21055;x
-21177;Foreign Minister;Ferenc Keresztes-Fischer;42;FA;Apologetic Clerk;High;M21100;x
-21178;Foreign Minister;M. Kállay de Nagy-Kalló;42;FA;General Staffer;High;M21057;x
-21179;Foreign Minister;Jenö Ghyczy;43;FA;Apologetic Clerk;High;M21179;x
-21180;Head of State;Arpád Szakasits;48;ST;Insignificant Layman;High;M21061;x
-21181;Head of State;Sandor Ronai;50;ST;Popular Figurehead;High;M21181;x
-21182;Head of State;Istvan Dobi;52;ST;Autocratic Charmer;High;M21182;x
-21183;Head of Government;Lajos Dinnyes;47;ST;Happy Amateur;High;M21183;x
-21184;Head of Government;Istvan Dobi;48;ST;Ambitious Union Boss;High;M21182;x
-21185;Head of Government;Imre Nagy;53;ST;Naive Optimist;High;M21113;x
-21186;Foreign Minister;Gyula Kallai;48;ST;The Cloak N Dagger Schemer;Medium;M21186;x
-21187;Foreign Minister;Karoly Kiss;52;ST;Apologetic Clerk;Medium;M21187;x
-21188;Minister of Armament;Imre Horvath;52;ST;Theoretical Scientist;Medium;M21188;x
-21189;Minister of Security;Janos Kadar;52;ST;Back Stabber;Very High;M21189;x
+21151;Chief of Navy;Csia Sandor;39;NS;Base Control Doctrine;Medium;M21151;x
+21153;Chief of Navy;Keksz Edgár;44;PA;Base Control Doctrine;Medium;M21073;x
+21154;Chief of Navy;Habsburg Ottó I;45;PA;Indirect Approach Doctrine;High;M21044;x
+21155;Chief of Navy;Kastner Rezsö;45;SD;Base Control Doctrine;High;M21089;x
+21156;Chief of Navy;Deák Ferenc;36;SC;Power Projection Doctrine;High;M21076;x
+21157;Chief of Navy;Hardy Kálmán;36;ST;Decisive Naval Battle Doctrine;Medium;M21039;x
+21158;Chief of Air Force;Magyarosy Sándor;39;NS;Army Aviation Doctrine;Medium;M21030;x
+21159;Chief of Air Force;Szálasi Ferenc;44;NS;Naval Aviation Doctrine;Medium;M21021;x
+21161;Chief of Air Force;Feketehalmy-Czeydner Ferenc;38;FA;Army Aviation Doctrine;Medium;M21161;x
+21162;Chief of Air Force;Debrödy György;41;FA;Vertical Envelopment Doctrine;Medium;M21040;x
+21163;Chief of Air Force;Ternegg Kálmán;44;PA;Army Aviation Doctrine;Medium;M21163;x
+21164;Chief of Air Force;Keresztes-Fischer Ferenc;46;PA;Air Superiority Doctrine;High;M21100;x
+21165;Chief of Air Force;Keksz Edgár;45;SD;Air Superiority Doctrine;Medium;M21073;x
+21166;Chief of Air Force;Rákosi Béla;36;SC;Vertical Envelopment Doctrine;Medium;M21020;x
+21167;Chief of Air Force;Debrödi György;36;ST;Air Superiority Doctrine;Medium;M21040;x
+21168;Head of State;Horthy Miklós;36;SC;Resigned Generalissimo;High;M21001;x
+21169;Foreign Minister;Szálasi Ferenc;39;NS;Iron Fisted Brute;Medium;M21021;x
+21170;Head of Military Intelligence;Csia Sandor;39;NS;Industrial Specialist;Medium;M21151;x
+21171;Chief of Army;Feketehalmy-Czeydner Ferenc;39;NS;Elastic Defence Doctrine;Medium;M21161;x
+21172;Head of State;Lakatos Géza;44;PA;Resigned Generalissimo;High;M21058;x
+21174;Chief of Staff;Sziszkalatay Gábor;47;ST;School of Psychology;Medium;M21136;x
+21175;Head of Government;Keresztes-Fischer Ferenc;42;FA;Happy Amateur;High;M21100;x
+21176;Foreign Minister;Teleki Pál;41;FA;Great Compromiser;High;M21055;x
+21177;Foreign Minister;Keresztes-Fischer Ferencr;42;FA;Apologetic Clerk;High;M21100;x
+21178;Foreign Minister;Kállay Miklós;42;FA;General Staffer;High;M21057;x
+21179;Foreign Minister;Ghyczy Jenö;43;FA;Apologetic Clerk;High;M21179;x
+21180;Head of State;Szakasits Arpád;48;ST;Insignificant Layman;High;M21061;x
+21181;Head of State;Rónai Sándor;50;ST;Popular Figurehead;High;M21181;x
+21182;Head of State;Dobi István;52;ST;Autocratic Charmer;High;M21182;x
+21183;Head of Government;Dinnyés Lajos;47;ST;Happy Amateur;High;M21183;x
+21184;Head of Government;Dobi István;48;ST;Ambitious Union Boss;High;M21182;x
+21185;Head of Government;Nagy Imre;53;ST;Naive Optimist;High;M21113;x
+21186;Foreign Minister;Kállai Gyula;48;ST;The Cloak N Dagger Schemer;Medium;M21186;x
+21187;Foreign Minister;Kiss Karoly;52;ST;Apologetic Clerk;Medium;M21187;x
+21188;Minister of Armament;Horváth Imre;52;ST;Theoretical Scientist;Medium;M21188;x
+21189;Minister of Security;Kádár János;52;ST;Back Stabber;Very High;M21189;x
diff -Naur Doomsday Data Files.old/db/navynames.csv Doomsday Data Files/db/navynames.csv
--- Doomsday Data Files.old/db/navynames.csv	2008-01-20 10:40:43.000000000 +0100
+++ Doomsday Data Files/db/navynames.csv	2008-01-20 10:49:03.000000000 +0100
@@ -2715,6 +2715,26 @@
 HON;XXXVIII Flotilla de la Armada
 HON;XXXIX Flotilla de la Armada
 HON;XL Flotilla de la Armada
+HUN;I. Flotta 
+HUN;II. Flotta 
+HUN;III. Flotta 
+HUN;IV. Flotta 
+HUN;V. Flotta 
+HUN;VI. Flotta 
+HUN;VII. Flotta 
+HUN;VIII. Flotta 
+HUN;IX. Flotta 
+HUN;X. Flotta 
+HUN;XI. Flotta 
+HUN;XII. Flotta 
+HUN;XIII. Flotta 
+HUN;XIV. Flotta 
+HUN;XV. Flotta 
+HUN;XVI. Flotta 
+HUN;XVII. Flotta 
+HUN;XVIII. Flotta 
+HUN;XIX. Flotta 
+HUN;XX. Flotta 
 ICL;I. Flaadestyrke
 ICL;II. Flaadestyrke
 ICL;III. Flaadestyrke
diff -Naur Doomsday Data Files.old/db/province.csv Doomsday Data Files/db/province.csv
--- Doomsday Data Files/db/province.csv.orig	2008-03-30 11:52:14.000000000 +0200
+++ Doomsday Data Files/db/province.csv	2008-03-30 11:53:06.000000000 +0200
@@ -475,9 +475,9 @@
 473;PROV473;Brandenburg;Germany;Europe;Temperate;Hills;;;100;;0;0;0;6;2;0;3;68;2;16127;2566;16204;2552;16160;2516;16160;2516;0;16165;2526;16110;2526;;;;;;;;;;;;;16120;2520;-1;-1
 474;PROV474;Slovakia;Czechoslovakia;Europe;Temperate;Clear;;;100;;0;0;0;3;1;0;6;39;1;16186;2600;16256;2642;16226;2648;16226;2648;0;16251;2690;16176;2643;;;;;;;;;;;;;16220;2644;-1;-1
 475;PROV475;Slovakia;Czechoslovakia;Europe;Temperate;Clear;;;100;;0;0;0;4;2;0;6;4;2;16176;2776;16208;2716;16183;2731;16183;2731;0;16173;2681;16163;2741;;;;;;;;;;;;;16176;2712;-1;-1
-476;PROV476;Slovakia;Czechoslovakia;Europe;Temperate;Clear;;;100;;0;0;0;3;1;0;6;3;3;16194;2844;16239;2801;16234;2834;16234;2834;0;16189;2814;16264;2874;;;;;;;;;;;;;16212;2828;-1;-1
-477;PROV477;Slovakia;Czechoslovakia;Europe;Temperate;Clear;;;100;;0;0;0;2;1;0;1;2;0;16288;2816;16345;2794;16355;2809;16355;2809;0;16399;2785;16425;2815;;;;;;;;;;;;;16352;2816;-1;-1
-478;PROV478;Slovakia;Czechoslovakia;Europe;Temperate;Hills;;;100;;0;0;0;0;0;0;4;0;0;16407;2716;16332;2676;16337;2726;16337;2726;0;16297;2721;16377;2736;;;;;;;;;;;;;16332;2700;-1;-1
+476;PROV476;Slovakia;Czechoslovakia;Europe;Temperate;Urban;;;100;;0;0;0;3;1;0;6;3;3;16194;2844;16239;2801;16234;2834;16234;2834;0;16189;2814;16264;2874;;;;;;;;;;;;;16212;2828;-1;-1
+477;PROV477;Slovakia;Czechoslovakia;Europe;Temperate;Hills;;;100;;0;0;0;2;1;0;1;2;0;16288;2816;16345;2794;16355;2809;16355;2809;0;16399;2785;16425;2815;;;;;;;;;;;;;16352;2816;-1;-1
+478;PROV478;Slovakia;Czechoslovakia;Europe;Temperate;Mountain;;;100;;0;0;0;0;0;0;4;0;0;16407;2716;16332;2676;16337;2726;16337;2726;0;16297;2721;16377;2736;;;;;;;;;;;;;16332;2700;-1;-1
 479;PROV479;Krakow;Poland;Europe;Temperate;hills;;;80;;0;0;0;3;2;0;15;83;1;16464;2707;16489;2667;16409;2657;16409;2657;0;16409;2622;16439;2672;;;;;;;;;;;;;16464;2648;-1;-1
 480;PROV480;Krakow;Poland;Europe;Temperate;forest;;;80;;0;0;0;4;2;0;9;4;1;16528;2537;16448;2532;16478;2547;16478;2547;0;16418;2567;16508;2567;;;;;;;;;;;;;16484;2532;-1;-1
 481;PROV481;Poznan;Poland;Europe;Temperate;clear;;;80;;0;0;0;1;1;0;1;1;0;16375;2569;16385;2489;16345;2504;16345;2504;0;16305;2429;16350;2544;;;;;;;;;;;;;16360;2488;-1;-1
@@ -489,8 +489,8 @@
 487;PROV487;Warsaw;Poland;Europe;Temperate;clear;;;80;;0;0;0;2;2;0;1;39;1;16593;2331;16628;2441;16623;2411;16623;2411;0;16568;2481;16568;2416;;;;;;;;;;;;;16612;2412;-1;-1
 488;PROV488;Lvov;Poland;Europe;Temperate;clear;;;80;;0;0;0;0;0;0;0;0;0;16594;2530;16679;2540;16654;2560;16654;2560;0;16644;2500;16644;2580;;;;;;;;;;;;;16655;2557;-1;-1
 489;PROV489;Krakow;Poland;Europe;Temperate;hills;;;80;;0;0;0;0;0;0;0;0;0;16646;2628;16566;2678;16616;2648;16616;2648;0;16666;2708;16606;2603;;;;;;;;;;;;;16608;2640;-1;-1
-490;PROV490;Slovakia;Czechoslovakia;Europe;Temperate;Forest;;;80;;0;0;0;2;1;0;1;2;0;16534;2726;16619;2734;16539;2771;16539;2771;0;16589;2791;16499;2791;;;;;;;;;;;;;16548;2748;-1;-1
-491;PROV491;Eastern Hungary;Hungary;Europe;Temperate;Clear;;;80;;0;0;0;2;1;0;1;2;0;16370;2888;16410;2883;16410;2898;16410;2898;0;16500;2858;16360;2938;;;;;;;;;;;;;16416;2888;-1;-1
+490;PROV490;Slovakia;Czechoslovakia;Europe;Temperate;Mountain;;;80;;0;0;0;2;1;0;1;2;0;16534;2726;16619;2734;16539;2771;16539;2771;0;16589;2791;16499;2791;;;;;;;;;;;;;16548;2748;-1;-1
+491;PROV491;Eastern Hungary;Hungary;Europe;Temperate;Hills;;;80;;0;0;0;2;1;0;1;2;0;16370;2888;16410;2883;16410;2898;16410;2898;0;16500;2858;16360;2938;;;;;;;;;;;;;16416;2888;-1;-1
 492;PROV492;Eastern Hungary;Hungary;Europe;Temperate;Clear;;;80;;0;0;0;1;1;0;0;1;0;16377;3027;16417;2985;16407;3027;16407;3027;0;16407;3052;16364;2990;;;;;;;;;;;;;16380;3008;-1;-1
 493;PROV493;Central Serbia;Balkan;Europe;Temperate;Clear;;;80;;0;0;0;2;1;0;1;2;1;16445;3090;16370;3144;16406;3116;16406;3116;0;16401;3098;16436;3144;;;;;;;;;;;;;16396;3112;-1;-1
 494;PROV494;Central Serbia;Balkan;Europe;Temperate;Clear;;;80;;0;0;0;0;0;0;0;0;0;16466;3170;16541;3174;16506;3140;16506;3140;0;16486;3098;16491;3181;;;;;;;;;;;;;16492;3152;-1;-1
@@ -498,7 +498,7 @@
 496;PROV496;Transylvania;Romania;Europe;Temperate;Clear;;;80;;0;0;0;1;1;0;0;1;0;16578;3049;16575;2974;16593;3009;16593;3009;0;16633;2979;16543;3049;;;;;;;;;;;;;16560;2996;-1;-1
 497;PROV497;Eastern Hungary;Hungary;Europe;Temperate;Clear;;;80;;0;0;0;2;1;0;1;2;0;16532;2989;16483;3020;16552;2939;16552;2939;0;16562;2839;16507;2924;;;;;;;;;;;;;16556;2880;-1;-1
 498;PROV498;Transylvania;Romania;Europe;Temperate;Hills;;;80;;0;0;0;1;1;0;0;1;0;16705;2851;16635;2883;16665;2893;16665;2893;0;16623;2938;16718;2884;;;;;;;;;;;;;16656;2864;-1;-1
-499;PROV499;Slovakia;Czechoslovakia;Europe;Temperate;Hills;;;80;;0;0;0;0;0;0;0;0;0;16674;2801;16755;2788;16735;2800;16735;2800;0;16798;2835;16720;2764;;;;;;;;;;;;;16720;2788;-1;-1
+499;PROV499;Slovakia;Czechoslovakia;Europe;Temperate;Mountain;;;80;;0;0;0;0;0;0;0;0;0;16674;2801;16755;2788;16735;2800;16735;2800;0;16798;2835;16720;2764;;;;;;;;;;;;;16720;2788;-1;-1
 500;PROV500;Lvov;Poland;Europe;Muddy;clear;;;80;;0;0;0;0;0;0;0;0;0;16840;2763;16713;2677;16780;2748;16780;2748;0;16830;2728;16815;2788;;;;;;;;;;;;;16800;2740;-1;-1
 501;PROV501;Lvov;Poland;Europe;Muddy;clear;;;80;;0;0;0;2;2;2;2;4;1;16853;2601;16805;2683;16833;2651;16833;2651;0;16853;2681;16883;2631;;;;;;;;;;;;;16832;2640;-1;-1
 502;PROV502;Lvov;Poland;Europe;Muddy;clear;;;60;;0;0;0;2;1;0;1;2;0;16887;2546;16947;2511;16922;2536;16922;2536;0;16962;2566;16882;2506;;;;;;;;;;;;;16916;2536;-1;-1
diff -Naur Doomsday Data Files.old/db/revolt.txt Doomsday Data Files/db/revolt.txt
--- Doomsday Data Files.old/db/revolt.txt	2008-01-20 10:40:43.000000000 +0100
+++ Doomsday Data Files/db/revolt.txt	2008-01-20 11:02:38.000000000 +0100
@@ -653,7 +653,7 @@
 	extra = { # Claim on Romania
 		427 428 429 430 496 498
 		# Claim on Czecho-Slovakia
-		499 }
+		476 477 478 490 499 }
 	capital =  457
 }
 ICL = {
